## reuse-0.13.0-2.src.tar.gz

=== Makefile ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

.DEFAULT_GOAL := help

.PHONY: help
help: ## show this help message
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: clean
clean: clean-build clean-pyc clean-test clean-docs ## remove all build, test, coverage and Python artifacts

.PHONY: clean-build
clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .cache/
	rm -fr .eggs/
	rm -fr pip-wheel-metadata/
	find ./po -name '*.mo' -exec rm -f {} +
	find ./po -name '*.pot' -exec rm -f {} +
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

.PHONY: clean-pyc
clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

.PHONY: clean-test
clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache/

.PHONY: clean-docs
clean-docs: ## remove docs build artifacts
	-$(MAKE) -C docs clean
	rm -fr docs/api/
	rm -f docs/*.md

.PHONY: lint
lint: ## check with pylint
	pylint src/reuse tests/*.py

.PHONY: blackcheck
blackcheck: ## check with black
	black --check .
	isort --check --recursive src/ tests/ *.py

.PHONY: black
black: ## format with black
	isort src/ tests/ *.py
	black .

.PHONY: reuse
reuse: dist ## check with self
	reuse lint
	tar -xf dist/reuse*.tar.gz -C dist/
	# This prevents the linter from using the project root as root.
	git init dist/reuse*/
	cd dist/reuse*/; reuse lint

.PHONY: test
test: ## run tests quickly
	py.test

.PHONY: coverage
coverage: ## check code coverage quickly
	py.test --cov-report term-missing --cov=src/reuse

.PHONY: docs
docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs html

.PHONY: tox
tox: ## run all tests against multiple versions of Python
	tox

.PHONY: dist
dist: clean-build clean-pyc clean-docs ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

.PHONY: create-pot
create-pot:  ## generate .pot file
	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot

.PHONY: update-po-files
update-po-files: create-pot  ## update .po files
	find ./po -name "*.po" -exec msgmerge --width=79 --output={} {} po/reuse.pot \;

.PHONY: test-release
test-release: dist  ## package and upload to testpypi
	twine upload --sign -r testpypi dist/*

.PHONY: release
release: dist  ## package and upload a release
	twine upload --sign -r pypi dist/*

.PHONY: install-requirements
install-requirements:  ## install requirements
	pip install -r requirements.txt

.PHONY: install-dev-requirements
install-dev-requirements: install-requirements  ## install dev requirements
	pip install -r requirements-dev.txt

.PHONY: uninstall
uninstall:  ## uninstall reuse
	-pip uninstall -y reuse

.PHONY: install
install: uninstall install-requirements  ## install reuse
	python setup.py install

.PHONY: update-resources
update-resources:  ## update spdx data files
	curl https://raw.githubusercontent.com/spdx/license-list-data/master/json/licenses.json \
		> src/reuse/resources/licenses.json
	curl https://raw.githubusercontent.com/spdx/license-list-data/master/json/exceptions.json \
		> src/reuse/resources/exceptions.json

.PHONY: develop
develop: uninstall install-dev-requirements  ## install source directory
	pre-commit install
	python setup.py develop

=== requirements.txt ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

binaryornot==0.4.4
boolean.py==3.8
Jinja2==2.11.3
license-expression==1.2
python-debian==0.1.38
requests==2.25.1

setuptools==52.0.0
setuptools-scm==5.0.1

=== PKGBUILD ===
# Maintainer: George Rawlinson <george@rawlinson.net.nz>
# Contributor: Max Mehl <aur at mehl dot mx>
# SPDX-FileCopyrightText: 2019 Max Mehl
# SPDX-License-Identifier: CC0-1.0

pkgname='reuse'
_pkgname="reuse-tool"
pkgver=0.13.0
pkgrel=2
pkgdesc='Helper tool for providing and confirming copyright and licensing information'
arch=('any')
url='https://github.com/fsfe/reuse-tool'
license=('GPL3' 'Apache' 'custom:CC-BY-SA-4.0' 'custom:CC0-1.0')
_deps=(
  'debian'
  'requests'
  'license-expression'
  'boolean.py'
  'jinja'
  'binaryornot'
)
_makedeps=(
  'setuptools'
  'setuptools-scm'
)
depends=("${_deps[@]/#/python-}")
makedepends=("${_makedeps[@]/#/python-}")
optdepends=('git: git repository support'
            'mercurial: mercurial repository support')
source=("$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz")
b2sums=('050fafc0f23c91b9c6d4371a14b2c3562eadabc7b638de0a6078d27883fc4fe516753bcac3f676672150201ff21d8a8722ace2ce5d98abaf1d971b72b6b4f10e')

build() {
  cd "$_pkgname-$pkgver"
  python setup.py build
}

package() {
  cd "$_pkgname-$pkgver"
  python setup.py install --root="$pkgdir" --optimize=1 --skip-build

  # install custom licenses
  cd "$srcdir/$_pkgname-$pkgver/LICENSES"
  install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname" \
    CC-BY-SA-4.0.txt \
    CC0-1.0.txt
}
